Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision e9920cd1fef162ad399cc9f42a588bb14006c327)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -2,4 +2,5 @@
     State class for the invariant UI
 """
+from __future__ import print_function
 
 # import time
@@ -140,5 +141,5 @@
 
         # text ctl general inputs ( excluding extrapolation text ctl)
-        for key, value in self.input_list.iteritems():
+        for key, value in self.input_list.items():
             if value == '':
                 continue
@@ -166,5 +167,5 @@
         low_off = False
         high_off = False
-        for key, value in self.input_list.iteritems():
+        for key, value in self.input_list.items():
             key_split = key.split('_')
             max_ind = len(key_split) - 1
@@ -216,5 +217,5 @@
                 # other outputs than Q*
                 name = item[0] + "_tcl"
-                if name in self.saved_state.keys():
+                if name in self.saved_state:
                     value = self.saved_state[name]
 
@@ -301,5 +302,5 @@
         top_element.appendChild(state)
 
-        for name, value in self.saved_state.iteritems():
+        for name, value in self.saved_state.items():
             element = newdoc.createElement(str(name))
             element.appendChild(newdoc.createTextNode(str(value)))
@@ -310,7 +311,7 @@
         top_element.appendChild(history)
 
-        for name, value in self.state_list.iteritems():
+        for name, value in self.state_list.items():
             history_element = newdoc.createElement('state_' + str(name))
-            for state_name, state_value in value.iteritems():
+            for state_name, state_value in value.items():
                 state_element = newdoc.createElement(str(state_name))
                 child = newdoc.createTextNode(str(state_value))
@@ -325,5 +326,5 @@
         top_element.appendChild(bookmark)
         item_list = ['time', 'date', 'state', 'comp_state']
-        for name, value_list in self.bookmark_list.iteritems():
+        for name, value_list in self.bookmark_list.items():
             element = newdoc.createElement('mark_' + str(name))
             _, date, state, comp_state = value_list
@@ -334,10 +335,10 @@
             state_list_element = newdoc.createElement('state')
             comp_state_list_element = newdoc.createElement('comp_state')
-            for state_name, state_value in value_list[2].iteritems():
+            for state_name, state_value in value_list[2].items():
                 state_element = newdoc.createElement(str(state_name))
                 child = newdoc.createTextNode(str(state_value))
                 state_element.appendChild(child)
                 state_list_element.appendChild(state_element)
-            for comp_name, comp_value in value_list[3].iteritems():
+            for comp_name, comp_value in value_list[3].items():
                 comp_element = newdoc.createElement(str(comp_name))
                 comp_element.appendChild(newdoc.createTextNode(str(comp_value)))
@@ -368,5 +369,5 @@
             msg = "InvariantSate no longer supports non-CanSAS"
             msg += " format for invariant files"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         if node.get('version')\
@@ -383,7 +384,7 @@
                 try:
                     timestamp = (entry.get('epoch'))
-                except:
+                except Exception as exc:
                     msg = "InvariantSate.fromXML: Could not read"
-                    msg += " timestamp\n %s" % sys.exc_value
+                    msg += " timestamp\n %s" % exc
                     logger.error(msg)
 
@@ -453,49 +454,46 @@
         Get the values (strings) from __str__ for report
         """
-        strings = self.__str__()
-
         # default string values
-        for num in range(1, 19):
-            exec "s_%s = 'NA'" % str(num)
-        lines = strings.split('\n')
+        s = {num: 'NA' for num in range(1, 19)}
         # get all string values from __str__()
-        for line in range(0, len(lines)):
-            if line == 1:
-                s_1 = lines[1]
-            elif line == 2:
-                s_2 = lines[2]
+        lines = str(self).split('\n')
+        for line_num, line in enumerate(lines):
+            if line_num == 1:
+                s[1] = line
+            elif line_num == 2:
+                s[2] = line
             else:
-                item = lines[line].split(':')
+                item = line.split(':')
                 item[0] = item[0].strip()
                 if item[0] == "scale":
-                    s_3 = item[1]
+                    s[3] = item[1]
                 elif item[0] == "porod constant":
-                    s_4 = item[1]
+                    s[4] = item[1]
                 elif item[0] == "background":
-                    s_5 = item[1]
+                    s[5] = item[1]
                 elif item[0] == "contrast":
-                    s_6 = item[1]
+                    s[6] = item[1]
                 elif item[0] == "Extrapolation":
                     extra = item[1].split(";")
                     bool_0 = extra[0].split("=")
                     bool_1 = extra[1].split("=")
-                    s_8 = " " + bool_0[0] + "Q region = " + bool_0[1]
-                    s_7 = " " + bool_1[0] + "Q region = " + bool_1[1]
+                    s[8] = " " + bool_0[0] + "Q region = " + bool_0[1]
+                    s[7] = " " + bool_1[0] + "Q region = " + bool_1[1]
                 elif item[0] == "npts low":
-                    s_9 = item[1]
+                    s[9] = item[1]
                 elif item[0] == "npts high":
-                    s_10 = item[1]
+                    s[10] = item[1]
                 elif item[0] == "volume fraction":
                     val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_17 = val + " &plusmn; " + error
+                    s[17] = val + " &plusmn; " + error
                 elif item[0] == "specific surface":
                     val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_18 = val + " &plusmn; " + error
+                    s[18] = val + " &plusmn; " + error
                 elif item[0].split("(")[0].strip() == "power low":
-                    s_11 = item[0] + " =" + item[1]
+                    s[11] = item[0] + " =" + item[1]
                 elif item[0].split("(")[0].strip() == "power high":
-                    s_12 = item[0] + " =" + item[1]
+                    s[12] = item[0] + " =" + item[1]
                 elif item[0].split("[")[0].strip() == "Q* from low Q extrapolation":
                     # looks messy but this way the symbols +_ and % work on html
@@ -504,5 +502,5 @@
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_13 = val + " &plusmn; " + err + "&#37" + percent
+                    s[13] = val + " &plusmn; " + err + "&#37" + percent
                 elif item[0].split("[")[0].strip() == "Q* from data":
                     val = item[1].split("+-")[0].strip()
@@ -510,5 +508,5 @@
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_14 = val + " &plusmn; " + err + "&#37" + percent
+                    s[14] = val + " &plusmn; " + err + "&#37" + percent
                 elif item[0].split("[")[0].strip() == "Q* from high Q extrapolation":
                     val = item[1].split("+-")[0].strip()
@@ -516,13 +514,13 @@
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_15 = val + " &plusmn; " + err + "&#37" + percent
+                    s[15] = val + " &plusmn; " + err + "&#37" + percent
                 elif item[0].split("[")[0].strip() == "total Q*":
                     val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_16 = val + " &plusmn; " + error
+                    s[16] = val + " &plusmn; " + error
                 else:
                     continue
 
-        s_1 = self._check_html_format(s_1)
+        s[1] = self._check_html_format(s[1])
         file_name = self._check_html_format(self.file)
 
@@ -530,8 +528,7 @@
         self.set_plot_state(extra_high=bool_0[1], extra_low=bool_1[1])
         # get ready for report with setting all the html strings
-        self.report_str = str(self.template_str) % (s_1, s_2,
-                                                    s_3, s_4, s_5, s_6, s_7, s_8,
-                                                    s_9, s_10, s_11, s_12, s_13, s_14, s_15,
-                                                    s_16, s_17, s_18, file_name, "%s")
+        self.report_str = str(self.template_str) % (
+            s[1], s[2], s[3], s[4], s[5], s[6], s[7], s[8], s[9], s[10], s[11],
+            s[12], s[13], s[14], s[15], s[16], s[17], s[18], file_name, "%s")
 
     def _check_html_format(self, name):
@@ -692,7 +689,7 @@
                 state = InvariantState()
                 state.fromXML(node=nodes[0])
-        except:
+        except Exception as exc:
             msg = "XML document does not contain invariant"
-            msg += " information.\n %s" % sys.exc_value
+            msg += " information.\n %s" % exc
             logger.info(msg)
         return state
@@ -736,5 +733,5 @@
                         output.append(sas_entry)
         else:
-            raise RuntimeError, "%s is not a file" % path
+            raise RuntimeError("%s is not a file" % path)
 
         # Return output consistent with the loader's api
@@ -782,5 +779,5 @@
             msg = "The cansas writer expects a Data1D"
             msg += " instance: %s" % str(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
         # make sure title and data run is filled up.
         if datainfo.title is None or datainfo.title == '':
Index: src/sas/sasgui/perspectives/invariant/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision d0ce666faaf0f9284be2e607a0ac846cdd9a682b)
+++ src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -92,7 +92,7 @@
                         # Mac
                         os.system("open %s" % fName)
-                    except:
+                    except Exception as exc:
                         # DO not open
-                        logger.error("Could not open file: %s" % sys.exc_value)
+                        logger.error("Could not open file: %s" % exc)
             # delete image file
             os.remove(pic_fname)
Index: src/sas/sasgui/perspectives/pr/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/pr/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/__init__.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "P(r) plug-in 1.0"
-from pr import *
+from .pr import *
Index: src/sas/sasgui/perspectives/pr/explore_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -35,5 +35,5 @@
 from sas.sasgui.plottools.plottables import Graph
 
-from pr_widgets import PrTextCtrl
+from .pr_widgets import PrTextCtrl
 
 # Default number of points on the output plot
@@ -416,8 +416,8 @@
                 results.pos_err.append(pos_err)
                 results.osc.append(osc)
-            except:
+            except Exception as exc:
                 # This inversion failed, skip this D_max value
                 msg = "ExploreDialog: inversion failed "
-                msg += "for D_max=%s\n%s" % (str(d), sys.exc_value)
+                msg += "for D_max=%s\n%s" % (str(d), exc)
                 logger.error(msg)
 
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision cb62bd55ae79395ac6e01d8b2077f4d496625c41)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -5,16 +5,19 @@
 __revision__ = "$Revision: 1193 $"
 
-import wx
 import os
 import sys
 import logging
+
+import wx
 from wx.lib.scrolledpanel import ScrolledPanel
+
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sasgui.guiframe.panel_base import PanelBase
-from inversion_state import InversionState
-from pr_widgets import PrTextCtrl
-from pr_widgets import DataFileTextCtrl
-from pr_widgets import OutputTextCtrl
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
+
+from .inversion_state import InversionState
+from .pr_widgets import PrTextCtrl
+from .pr_widgets import DataFileTextCtrl
+from .pr_widgets import OutputTextCtrl
 
 logger = logging.getLogger(__name__)
@@ -752,7 +755,7 @@
         except ValueError:
             logger.error("InversionControl._on_accept_alpha got a value that was not a number: %s" % alpha )
-        except:
+        except Exception as exc:
             # No estimate or bad estimate, either do nothing
-            logger.error("InversionControl._on_accept_alpha: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_alpha: %s" % exc)
 
     def _on_accept_nterms(self, evt):
@@ -768,7 +771,7 @@
         except ValueError:
             logger.error("InversionControl._on_accept_nterms got a value that was not a number: %s" % nterms )
-        except:
+        except Exception as exc:
             # No estimate or bad estimate, either do nothing
-            logger.error("InversionControl._on_accept_nterms: %s" % sys.exc_value)
+            logger.error("InversionControl._on_accept_nterms: %s" % exc)
 
     def clear_panel(self):
@@ -901,5 +904,5 @@
                 message += "than the number of points"
                 wx.PostEvent(self._manager.parent, StatusEvent(status=message))
-                raise ValueError, message
+                raise ValueError(message)
             self.nfunc_ctl.SetBackgroundColour(wx.WHITE)
             self.nfunc_ctl.Refresh()
@@ -957,5 +960,5 @@
         Invoke the d_max exploration dialog
         """
-        from explore_dialog import ExploreDialog
+        from .explore_dialog import ExploreDialog
         if self._manager._last_pr is not None:
             pr = self._manager._create_plot_pr()
@@ -1008,6 +1011,6 @@
                 self._on_invert(None)
                 self._set_analysis(True)
-            except:
-                msg = "InversionControl._change_file: %s" % sys.exc_value
+            except Exception as exc:
+                msg = "InversionControl._change_file: %s" % exc
                 logger.error(msg)
 
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 2469df7fc9ffa047115c5bffe589ed307b12c363)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -18,4 +18,5 @@
 import logging
 from lxml import etree
+
 from sas.sasgui.guiframe.dataFitting import Data1D
 from sas.sascalc.dataloader.readers.cansas_reader import Reader as CansasReader
@@ -238,5 +239,5 @@
             msg = "InversionState no longer supports non-CanSAS"
             msg += " format for P(r) files"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         if node.get('version') and node.get('version') == '1.0':
@@ -252,7 +253,7 @@
                 try:
                     self.timestamp = float(entry.get('epoch'))
-                except:
+                except Exception as exc:
                     msg = "InversionState.fromXML: Could not read "
-                    msg += "timestamp\n %s" % sys.exc_value
+                    msg += "timestamp\n %s" % exc
                     logger.error(msg)
 
@@ -432,7 +433,7 @@
                 state = InversionState()
                 state.fromXML(node=nodes[0])
-        except:
+        except Exception as exc:
             msg = "XML document does not contain P(r) "
-            msg += "information.\n %s" % sys.exc_value
+            msg += "information.\n %s" % exc
             logger.info(msg)
 
@@ -481,5 +482,5 @@
                         output.append(sas_entry)
         else:
-            raise RuntimeError, "%s is not a file" % path
+            raise RuntimeError("%s is not a file" % path)
 
         # Return output consistent with the loader's api
@@ -525,5 +526,5 @@
             msg = "The cansas writer expects a Data1D "
             msg += "instance: %s" % str(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
         # Create basic XML document
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision 2469df7fc9ffa047115c5bffe589ed307b12c363)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -18,10 +18,12 @@
 
 import sys
-import wx
 import logging
 import time
 import math
+
+import wx
 import numpy as np
 import pylab
+
 from sas.sasgui.guiframe.gui_manager import MDIFrame
 from sas.sasgui.guiframe.dataFitting import Data1D
@@ -33,6 +35,15 @@
 import sas.sascalc.dataloader
 
-from pr_widgets import load_error
 from sas.sasgui.guiframe.plugin_base import PluginBase
+
+from .inversion_state import Reader  # .prv file reader
+from .inversion_panel import InversionControl
+#from .inversion_panel import HelpDialog
+from .inversion_panel import PrDistDialog
+from .pr_thread import CalcPr
+from .pr_thread import EstimatePr
+from .pr_thread import EstimateNT
+from .pr_widgets import load_error
+from .pr_widgets import DataDialog
 
 logger = logging.getLogger(__name__)
@@ -106,7 +117,4 @@
         self.list_plot_id = []
 
-        # Associate the inversion state reader with .prv files
-        from inversion_state import Reader
-
         # Create a CanSAS/Pr reader
         self.state_reader = Reader(self.set_state)
@@ -151,5 +159,5 @@
                 msg = "Pr.set_state: datainfo parameter cannot "
                 msg += "be None in standalone mode"
-                raise RuntimeError, msg
+                raise RuntimeError(msg)
 
             # Ensuring that plots are coordinated correctly
@@ -184,6 +192,6 @@
                                                    title=self.current_plottable.title))
             self.control_panel.set_state(state)
-        except:
-            logger.error("prview.set_state: %s" % sys.exc_value)
+        except Exception as exc:
+            logger.error("prview.set_state: %s" % exc)
 
 
@@ -195,5 +203,4 @@
 
         """
-        from inversion_panel import HelpDialog
         dialog = HelpDialog(None, -1)
         if dialog.ShowModal() == wx.ID_OK:
@@ -369,5 +376,4 @@
         Redisplay P(r) with a different number of points
         """
-        from inversion_panel import PrDistDialog
         dialog = PrDistDialog(None, -1)
         dialog.set_content(self._pr_npts)
@@ -452,5 +458,5 @@
         # Notify the user if we could not read the file
         if dataread is None:
-            raise RuntimeError, "Invalid data"
+            raise RuntimeError("Invalid data")
 
         x = None
@@ -472,5 +478,5 @@
                 if dataread is None:
                     return x, y, err
-                raise RuntimeError, "This tool can only read 1D data"
+                raise RuntimeError("This tool can only read 1D data")
 
         self._current_file_data.x = x
@@ -511,6 +517,6 @@
                     data_y = np.append(data_y, y)
                     data_err = np.append(data_err, err)
-                except:
-                    logger.error(sys.exc_value)
+                except Exception as exc:
+                    logger.error(exc)
 
         if scale is not None:
@@ -562,6 +568,6 @@
                         data_y = np.append(data_y, y)
                         data_err = np.append(data_err, err)
-                    except:
-                        logger.error(sys.exc_value)
+                    except Exception as exc:
+                        logger.error(exc)
                 elif line.find("The 6 columns") >= 0:
                     data_started = True
@@ -720,6 +726,4 @@
             Start a calculation thread
         """
-        from pr_thread import CalcPr
-
         # If a thread is already started, stop it
         if self.calc_thread is not None and self.calc_thread.isrunning():
@@ -849,12 +853,12 @@
             try:
                 pr = self._create_file_pr(data)
-            except:
-                status = "Problem reading data: %s" % sys.exc_value
+            except Exception as exc:
+                status = "Problem reading data: %s" % exc
                 wx.PostEvent(self.parent, StatusEvent(status=status))
-                raise RuntimeError, status
+                raise RuntimeError(status)
 
             # If the file contains nothing, just return
             if pr is None:
-                raise RuntimeError, "Loaded data is invalid"
+                raise RuntimeError("Loaded data is invalid")
 
             self.pr = pr
@@ -906,5 +910,5 @@
             msg = "pr.save_data: the data being saved is not a"
             msg += " sas.data_info.Data1D object"
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
 
     def setup_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None,
@@ -928,6 +932,6 @@
                 self.pr = pr
                 self.perform_inversion()
-        except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+        except Exception as exc:
+            wx.PostEvent(self.parent, StatusEvent(status=exc))
 
     def estimate_plot_inversion(self, alpha, nfunc, d_max,
@@ -952,6 +956,6 @@
                 self.pr = pr
                 self.perform_estimate()
-        except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+        except Exception as exc:
+            wx.PostEvent(self.parent, StatusEvent(status=exc))
 
     def _create_plot_pr(self, estimate=False):
@@ -1033,6 +1037,6 @@
                 self.pr = pr
                 self.perform_inversion()
-        except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+        except Exception as exc:
+            wx.PostEvent(self.parent, StatusEvent(status=exc))
 
     def estimate_file_inversion(self, alpha, nfunc, d_max, data,
@@ -1056,6 +1060,6 @@
                 self.pr = pr
                 self.perform_estimate()
-        except:
-            wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
+        except Exception as exc:
+            wx.PostEvent(self.parent, StatusEvent(status=exc))
 
     def _create_file_pr(self, data):
@@ -1085,6 +1089,6 @@
             self._current_file_data.err = data.dy
             x, y, err = data.x, data.y, data.dy
-        except:
-            load_error(sys.exc_value)
+        except Exception as exc:
+            load_error(exc)
             return None
 
@@ -1124,6 +1128,6 @@
             pr.slit_width = self.slit_width
             return pr
-        except:
-            load_error(sys.exc_value)
+        except Exception as exc:
+            load_error(exc)
         return None
 
@@ -1132,6 +1136,4 @@
             Perform parameter estimation
         """
-        from pr_thread import EstimatePr
-
         # If a thread is already started, stop it
         if self.estimation_thread is not None and \
@@ -1162,6 +1164,4 @@
             Perform parameter estimation
         """
-        from pr_thread import EstimateNT
-
         # If a thread is already started, stop it
         if self.estimation_thread is not None and self.estimation_thread.isrunning():
@@ -1239,6 +1239,4 @@
             Create and return a list of panel objects
         """
-        from inversion_panel import InversionControl
-
         self.parent = parent
         self.frame = MDIFrame(self.parent, None, 'None', (100, 200))
@@ -1262,4 +1260,6 @@
         if data_list is None:
             data_list = []
+        else:
+            data_list = list(data_list)  # force iterator to list
         if len(data_list) >= 1:
             if len(data_list) == 1:
@@ -1287,5 +1287,4 @@
                 msg += "Please select one.\n"
                 if len(data_list) > 1:
-                    from pr_widgets import DataDialog
                     dlg = DataDialog(data_list=data_1d_list, text=msg)
                     if dlg.ShowModal() == wx.ID_OK:
@@ -1306,6 +1305,6 @@
                     self.data_id = data.id
                     self.control_panel._change_file(evt=None, data=data)
-                except:
-                    msg = "Prview Set_data: " + str(sys.exc_value)
+                except Exception as exc:
+                    msg = "Prview Set_data: " + str(exc)
                     wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
             else:
Index: src/sas/sasgui/perspectives/pr/pr_thread.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr_thread.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/pr/pr_thread.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -41,7 +41,7 @@
             # Thread was interrupted, just proceed
             pass
-        except:
+        except Exception as exc:
             if self.error_func is not None:
-                self.error_func("CalcPr.compute: %s" % sys.exc_value)
+                self.error_func("CalcPr.compute: %s" % exc)
 
 class EstimatePr(CalcThread):
@@ -69,7 +69,7 @@
             # Thread was interrupted, just proceed
             pass
-        except:
+        except Exception as exc:
             if self.error_func is not None:
-                self.error_func("EstimatePr.compute: %s" % sys.exc_value)
+                self.error_func("EstimatePr.compute: %s" % exc)
 
 class EstimateNT(CalcThread):
@@ -109,5 +109,5 @@
             # Thread was interrupted, just proceed
             pass
-        except:
+        except Exception as exc:
             if self.error_func is not None:
-                self.error_func("EstimatePr2.compute: %s" % sys.exc_value)
+                self.error_func("EstimatePr2.compute: %s" % exc)
Index: src/sas/sasgui/perspectives/simulation/ShapeAdapter.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/ShapeAdapter.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/simulation/ShapeAdapter.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -87,5 +87,5 @@
             self.sim_canvas._model_changed()
         else:
-            raise ValueError, "SimShapeVisitor: Wrong class for visited object"
+            raise ValueError("SimShapeVisitor: Wrong class for visited object")
         
         
@@ -115,5 +115,5 @@
             self.sim_canvas._model_changed()
         else:
-            raise ValueError, "SimShapeVisitor: Wrong class for visited object"
+            raise ValueError("SimShapeVisitor: Wrong class for visited object")
         
     
@@ -130,4 +130,4 @@
             shape.accept_update(self)
         else:
-            raise ValueError, "ShapeAdapter: Shape [%s] not in list" % shape.name
+            raise ValueError("ShapeAdapter: Shape [%s] not in list" % shape.name)
 
Index: src/sas/sasgui/perspectives/simulation/ShapeParameters.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -10,9 +10,11 @@
 from __future__ import print_function
 
+import sys
+from copy import deepcopy
+
 import wx
-import sys
 import wx.lib.newevent
-from copy import deepcopy
-import SimCanvas
+
+from . import SimCanvas
 
 (CreateShapeEvent, EVT_ADD_SHAPE) = wx.lib.newevent.NewEvent()
@@ -201,8 +203,6 @@
             n = 1
             self.parameters = []
-            keys = shape.params.keys()
-            keys.sort()
-            
-            for item in keys:
+            
+            for item in sorted(shape.params.keys()):
                 if item in ['contrast', 'order']:
                     continue
@@ -393,7 +393,7 @@
                 if not tmp==None:
                     self.current_shape.params[item[0]] = tmp 
-        except:
+        except Exception as exc:
             print("Could not create")
-            print(sys.exc_value)
+            print(exc)
                 
     def _onCreate(self, evt):
@@ -489,3 +489,2 @@
             print("NOT YET IMPLMENTED")
             print("renaming", self.shape_listbox.GetString(indices[0]))
-                
Index: src/sas/sasgui/perspectives/simulation/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/simulation/__init__.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "Simulation plug-in 1.0"
-from simulation import *
+from .simulation import *
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -15,13 +15,12 @@
 
 # Application imports
-import SimCanvas
-import ShapeParameters
-import ShapeAdapter
+from sas.sascalc.realspace import VolumeCanvas
+from sas.sascalc.data_util.calcthread import CalcThread
 from sas.sasgui.guiframe.dataFitting import Data1D
-# Real-space simulation import
-import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
-
-from sas.sascalc.data_util.calcthread import CalcThread
 from sas.guicomm.events import NewPlotEvent, StatusEvent    
+
+from . import SimCanvas
+from . import ShapeParameters
+from . import ShapeAdapter
 
 logger = logging.getLogger(__name__)
Index: src/sas/sasgui/plottools/LineModel.py
===================================================================
--- src/sas/sasgui/plottools/LineModel.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sasgui/plottools/LineModel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -83,5 +83,5 @@
         elif x.__class__.__name__ == 'tuple':
             msg = "Tuples are not allowed as input to BaseComponent models"
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self._line(x)
@@ -105,5 +105,5 @@
         elif x.__class__.__name__ == 'tuple':
             msg = "Tuples are not allowed as input to BaseComponent models"
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self._line(x)
